<?php
$params = get_input('params');
$plugin_id = get_input('plugin_id');
$plugin = elgg_get_plugin_from_id($plugin_id);
$htaccess_file = elgg_get_root_path() . '.htaccess';

foreach ($params as $k => $v) {
        $result = $plugin->setSetting($k, $v);
        
        
        if ($result && $k == 'display') {         
            // As the setting can be controlled by the admin, assume cookies were accepted
            setcookie('accepted_cookies', 1);
        }
        
        if (!$result) {
                register_error(elgg_echo('plugins:settings:save:fail', array($plugin_name)));
                forward(REFERER);
                exit;
        }
}

system_message(elgg_echo('plugins:settings:save:ok', array($plugin_name)));
forward(REFERER);