<?php
    $option = elgg_get_plugin_setting('display', 'eucookies');
    elgg_load_css('jqModal');
    elgg_load_js('jqModal');
    
    $message_text = elgg_get_plugin_setting('message', 'eucookies');
    $link_text = elgg_get_plugin_setting('link_text', 'eucookies');
    
    if (!isset($message_text) || empty($message_text)) {
        $message_text = 'eucookies:default_message';
    }
    
    if (!isset($link_text) || empty($link_text)) {
        $link_text = 'eucookies:default_link_text';
    }
    
    $message_text = preg_replace('/<p[^>]*>(.*)<\/p[^>]*>/i', '$1', $message_text);
    $link_text = preg_replace('/<p[^>]*>(.*)<\/p[^>]*>/i', '$1', $link_text);
    
    if ($option == "top") :
?>
<div class="eu-cookie-message">
    <?php echo elgg_echo($message_text) ?><br/>
    <a href="<?php echo elgg_get_site_url() ?>cookies?exception=1"><?php echo elgg_echo($link_text) ?></a> &nbsp; &nbsp; <button onclick="window.location = '<?php echo elgg_get_site_url(); ?>?accepted=1';">I agree</button></li>
</div>
<?php else : ?>
<div id="eu-cookie" class="jqmWindow" style="display:none;">
    <?php echo elgg_echo($message_text) ?><br/>
    <a href="<?php echo elgg_get_site_url() ?>cookies?exception=1"><?php echo elgg_echo($link_text) ?></a> &nbsp; &nbsp; <button onclick="window.location = '<?php echo elgg_get_site_url(); ?>?accepted=1';">I agree</button></li>
</div>
<?php endif; ?>